Bug 443647 - [RHEL4/evo28] Various segmentation faults (5 distinct)
[RHEL4/evo28] Various segmentation faults (5 distinct)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-evolution-data-server (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Matthew Barnes
:
Depends On:
Blocks: 442631
  Show dependency treegraph
 
Reported: 2008-04-22 13:37 EDT by ritz
Modified: 2010-10-22 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 09:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace and more (1.61 MB, application/x-compressed-tar)
2008-04-22 13:37 EDT, ritz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 442644 None None None Never
Red Hat Bugzilla 442952 None None None Never
Red Hat Bugzilla 443650 None None None Never
Red Hat Bugzilla 444173 None None None Never
Red Hat Bugzilla 454676 None None None Never

  None (edit)
Comment 1 ritz 2008-04-22 13:37:26 EDT
Created attachment 303346 [details]
backtrace and more
Comment 34 Matthew Barnes 2008-07-01 11:00:40 EDT
Marking attachment evolution28-2.8.0-59.el4-autocompletion-exchange-gcore.tgz as
obsolete since the stack trace is being tracked in bug #443650.
Comment 35 Matthew Barnes 2008-07-01 11:04:41 EDT
Marking attachment evolution28-2.8.0-59.el4-exchange-segv-gcored.caught.tgz as
obsolete since the stack trace is being tracked in bug #443650.
Comment 36 Matthew Barnes 2008-07-01 11:07:52 EDT
Marking attachment evolution28-2.8.0-59.el4-exchange-sigaborted-on-startup.tgz
as obsolete since the stack trace is being tracked in bug #442952.
Comment 37 Matthew Barnes 2008-07-01 11:12:26 EDT
Marking attachment evolution28-2.8.0-59.el4-gnome_segv.tgz as obsolete since the
stack trace is being tracked in bug #444173.
Comment 38 Matthew Barnes 2008-07-01 11:20:38 EDT
Marking attachment
evolution28-2.8.0-59.el4.evolution-exchange.FIXME.wait.for.completion.unimplemented.tgz
 as obsolete since the stack trace is being tracked in bug #444173.
Comment 39 Matthew Barnes 2008-07-01 11:30:49 EDT
Marking attachment
evolution28-2.8.0-59.el4.hang-autocompletion-drop-down-box-mouse-hijack.tgz as
obsolete since the stack trace is being tracked in bug #443596.
Comment 40 Matthew Barnes 2008-07-01 15:07:33 EDT
Marking attachment evolution28-2.8.0-59.el4-autocompletion-exchange-SEGV.tgz as
obsolete since the stack trace is being tracked in bug #444173.
Comment 41 Matthew Barnes 2008-07-01 15:09:48 EDT
Marking attachment evolution28-2.8.0-59.el4-autocompletion-exchange-SEGV.tgz as
obsolete since the stack trace is being tracked in bug #443650.
Comment 42 Matthew Barnes 2008-07-01 15:11:37 EDT
Marking attachment
evolution28-2.8.0-59.el4-autocompletion-SEGVd.-hijacked-X.session-then.loggedme.out.tgz
as obsolete since the stack trace is being tracked in bug #443650.
Comment 43 Matthew Barnes 2008-07-01 15:13:04 EDT
Marking attachment
evolution28-2.8.0-59.el4-discard-exchange-calendar-changes-exchange-SEGVd.tgz as
obsolete since the stack trace is missing.
Comment 44 Matthew Barnes 2008-07-01 15:15:58 EDT
Marking attachment
evolution28-2.8.0-59.el4-evolution-exchange.SEGVed.but.couldnt.propeerly-catch-the-valgrind.tgz
as obsolete since the stack trace is being tracked in bug #442644.
Comment 45 Matthew Barnes 2008-07-01 15:24:38 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd-on-calendar-enable-alarm.check-box-selection.tgz
as obsolete since the stack trace shows no usable information.
Comment 46 Matthew Barnes 2008-07-01 15:28:43 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd-on.address.book.autocompletion.tgz as
obsolete since the stack trace is missing.
Comment 47 Matthew Barnes 2008-07-01 15:33:59 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd.on-startup.possibly.maneuvering-through-contacts.lists.tgz
as obsolete since the stack trace is missing.
Comment 48 Matthew Barnes 2008-07-01 15:39:53 EDT
Marking attachment evolution28-2.8.0-59.el4-exchange-SEGVed.tgz as obsolete
since the stack trace shows no usable information.
Comment 49 Matthew Barnes 2008-07-01 15:42:01 EDT
Marking attachment evolution28-2.8.0-59.el4-exchange-sigabort-then-segv.tgz as
obsolete since the stack trace is being tracked in bug #442644.
Comment 50 Matthew Barnes 2008-07-01 15:43:15 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SIGABRd-then.evolution-SEGVd.tgz as obsolete
since the stack trace is missing.
Comment 51 Matthew Barnes 2008-07-01 15:44:15 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SIGABRT.glibc-detected.double-free-or-corruption.tgz
as obsolete since the stack trace is missing.
Comment 52 Matthew Barnes 2008-07-01 15:46:36 EDT
Marking attachment evolution28-2.8.0-59.el4-exchange-SIGABRT.tgz as obsolete
since the stack trace is missing.
Comment 53 Matthew Barnes 2008-07-01 15:47:34 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SIGABRTed.gdb-on-dataserver.said.Have.a.nice.day.tgz
as obsolete since the stack trace is missing.
Comment 54 Matthew Barnes 2008-07-01 15:50:40 EDT
Marking attachment
evolution28-2.8.0-59.el4-flipping-around-various-folders-theneexchange-SEGVd.tgz
as obsolete since the stack trace is missing.
Comment 55 Matthew Barnes 2008-07-01 15:53:02 EDT
Marking attachment
evolution28-2.8.0-59.el4-memory-leak-on-evo-itself.during-compose.tgz as
obsolete since the stack trace is being tracked in bug #443647.
Comment 56 Matthew Barnes 2008-07-01 15:54:46 EDT
Marking attachment
evolution28-2.8.0-59.el4-SEGV-on-exchange-then-glibc.detected-corrupted.double-linked.list.tgz
as obsolete since the stack trace is missing.
Comment 57 Matthew Barnes 2008-07-01 15:58:42 EDT
Marking attachment evolution28-2.8.0-59.el4-SIGABORT.valgrind.on.exchange.tgz as
obsolete since the stack trace is being tracked in bug #443596.
Comment 59 Matthew Barnes 2008-07-09 13:41:52 EDT
Marking attachment
evolution28-2.8.0-59.el4-attempted.autocompletion.andexchange-SEGVd.tgz as
obsolete since the stack trace is being tracked in bug #454676.
Comment 60 Matthew Barnes 2008-07-09 13:43:13 EDT
Marking attachment
evolution28-2.8.0-59.el4-autocompletion-exchange-SEGV.3rd.today.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 61 Matthew Barnes 2008-07-09 13:44:23 EDT
Marking attachment
evolution28-2.8.0-59.el4-autocompletion-exchange-SEGV.again.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 62 Matthew Barnes 2008-07-09 13:45:11 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGV.on-autocompletion.lookup.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 63 Matthew Barnes 2008-07-09 13:46:16 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-segvd-on-address-book-selection.tgz as
obsolete since the stack trace is being tracked in bug #454676.
Comment 64 Matthew Barnes 2008-07-09 13:47:15 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-segvd-on-address-book-selection.tgz as
obsolete since the stack trace is being tracked in bug #454676.
Comment 65 Matthew Barnes 2008-07-09 13:48:18 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-segvd-on-email-reply.gcore-captured.with.BTs.tgz
as obsolete since the stack trace is being tracked in bug #454676.
Comment 66 Matthew Barnes 2008-07-09 13:49:18 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-segvd.composing.replyto.email.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 67 Matthew Barnes 2008-07-09 13:50:27 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd.dataserver.nice.day.msg.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 68 Matthew Barnes 2008-07-09 13:51:28 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-segvd.I.think.just-receiving.an.email.tgz as
obsolete since the stack trace is being tracked in bug #454676.
Comment 69 Matthew Barnes 2008-07-09 13:52:55 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd.message.stayed.in.outbox.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 70 Matthew Barnes 2008-07-09 13:54:15 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd.on.address.book.lookup.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 71 Matthew Barnes 2008-07-09 13:55:20 EDT
Marking attachment
evolution28-2.8.0-59.el4-exchange-SEGVd.on.autocompletion.lookup.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 72 Matthew Barnes 2008-07-09 13:56:39 EDT
Marking attachment
evolution28-2.8.0-59.el4-moving-folders-around.AND.autocompleting.exchanged-SEGVd.tgz
as obsolete since the stack trace is being tracked in bug #454676.
Comment 73 Matthew Barnes 2008-07-09 13:58:09 EDT
Marking attachment
evolution28-2.8.0-59.el4-update-attendee-status-exchange-SEGV.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 74 Matthew Barnes 2008-07-09 13:59:16 EDT
Marking attachment
evolution28-2.8.0-61.el4-exchange-segvd.autocompletion.lookup.tgz as obsolete
since the stack trace is being tracked in bug #454676.
Comment 75 Matthew Barnes 2008-07-09 14:00:25 EDT
Marking attachment evolution28-2.8.0-61.el4-autocompetion-SEGV-exchange.tgz as
obsolete since the stack trace is being tracked in bug #454676.
Comment 77 Matthew Barnes 2008-07-09 15:41:07 EDT
I /think/ that's just the debugger complaining that it can't find debugging
symbols and/or source code for the strcmp() function.  I don't think that in
itself is a big deal.

The crash is occurring because Evolution is passing a NULL address pointer to
strcmp(), which is fatal.  The interesting data is further down in the stack
trace, showing where we are in the program when this happens.
Comment 79 Matthew Barnes 2008-07-09 16:07:11 EDT
I've been marking the duplicate attachments as obsolete just to help me keep
things straight (there's a mountain of data here).  "Obsolete" is not really an
accurate term for the way I'm using it.  Consider it to mean "we've seen this
particular crash before and are tracking it elsewhere".

I'd suggest holding off on sending any more crash reports, at least until we
send you some new packages.  Most of the recent reports you've submitted haven't
added any new information to the investigation.

The bug described in bug #454676 is likely already fixed in the more recent
Evolution version included in RHEL 5.2.  If I can isolate the cause, I'll try to
backport a solution for RHEL 4.8.
Comment 83 Matthew Barnes 2008-09-12 09:05:15 EDT
Closing the corresponding Bugzilla ticket.

Note You need to log in before you can comment on or make changes to this bug.